Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228308 - tracker-handler installed to wrong location.
Summary: tracker-handler installed to wrong location.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-12 16:39 UTC by Robert Clark
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-13 23:02:38 UTC


Attachments (Terms of Use)

Description Robert Clark 2007-02-12 16:39:34 UTC
tracker-search-tool-0.5.4-2.fc6 installs tracker-handler.py* to
/usr/lib/python2.4/site-packages/deskbar/ but deskbar-applet looks for handlers in 
/usr/lib/deskbar-applet/handlers. The result is that deskbar does not offer the
option to enable tracker support in its preferences.

Tracker's configure can automatically detect the correct location via pkg-config
if deskbar-applet & pkgconfig are added as BuildRequires or "configure
--with-deskbar-applet-handler-dir" can be used to set it manually.

Comment 1 Deji Akingunola 2007-02-13 23:02:38 UTC
Thanks for the bug report. Having both deskbar-applet and pkgconfig as
BuildRequires doesn't make tracker automatically configure the right location in
released ver-0.5.4 (i believe it does with the with the upstream svn).
In any case, the bug is resolved by installing the deskbar plugin in the right
place.  


Note You need to log in before you can comment on or make changes to this bug.